[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TControlScrollBar.GetAutoScroll

Gets the AutoScroll state for the associated TScrollingWinControl control.

## Declaration

Source position: forms.pp line 116

`protected function TControlScrollBar.GetAutoScroll: Boolean; virtual;`

## Function result

True when the Control for the class instance has set its AutoScroll property.

## Description

Remark: | GetAutoScroll is not used as the read access specifier for the AutoScroll property. It is used in methods to ensure that the class reflects the current state for its associated control.

## See also

TScrollingWinControl.AutoScroll |  | Indicates whether scroll bars are automatically displayed or hidden when needed.